package com.liquidnet.common.third.zxlnft.dto.nft;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: PointTransferReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:40
 */
@Data
public class Nft025PointTransferResp implements Serializable {
    /**
     * 任务ID
     */
    private String taskId;

    private static final Nft025PointTransferResp obj = new Nft025PointTransferResp();
    public static Nft025PointTransferResp getNew() {
        try {
            return (Nft025PointTransferResp) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft025PointTransferResp();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
